Skip to main content
GET
/
project-profile
Get Project Profile
curl --request GET \
  --url https://api.peec.ai/customer/v1/project-profile \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.peec.ai/customer/v1/project-profile"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.peec.ai/customer/v1/project-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "profile": {
    "name": "<string>",
    "occupation": "<string>",
    "industry": "<string>",
    "brand_presentation": [
      "<string>"
    ],
    "products_and_services": [
      "<string>"
    ],
    "target_markets": [
      {
        "location": "<string>",
        "osm_id": "<string>"
      }
    ],
    "audience_distribution": {
      "simple_recommendation_seeker": 4503599627370495,
      "informed_shopper": 4503599627370495,
      "evaluative_researcher": 4503599627370495
    },
    "brandPresentation": [
      "<string>"
    ],
    "productsAndServices": [
      "<string>"
    ],
    "targetMarkets": [
      {
        "location": "<string>",
        "osmId": "<string>"
      }
    ],
    "audienceDistribution": {
      "simpleRecommendationSeeker": 4503599627370495,
      "informedShopper": 4503599627370495,
      "evaluativeResearcher": 4503599627370495
    },
    "used_prepared_profile": true,
    "usedPreparedProfile": true
  }
}
{
"message": "<string>"
}

Authorizations

X-API-Key
string
header
required

Query Parameters

project_id
string

Required if using a company api key

Example:

"or_f45b94ba-5e35-4982-93ed-285e72ee14eb"

Response

Project profile fetched successfully

Project profile fetched successfully

profile
object | null
required